Create Applicant: Buildium
https://api.propexo.com/v1/applicants/buildium/| Interface | Method |
|---|---|
| Applicants | POST /applicants |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the unit
The first name associated with the applicant
The last name associated with the applicant
Whether to send the new applicant an email with a link to the online application form
falseThe primary email address associated with the applicant
Primary phone number associated with the applicant
Type of the primary phone number
Show 4 enum values
HOMEWORKMOBILEFAXSecondary phone number associated with the applicant
Type of the secondary phone number
Show 4 enum values
HOMEWORKMOBILEFAXcustom_data objectdeprecated
Deprecated: Field is no longer applicable
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the unit
The first name associated with the applicant
The last name associated with the applicant
Whether to send the new applicant an email with a link to the online application form
falseThe primary email address associated with the applicant
Primary phone number associated with the applicant
Type of the primary phone number
Show 4 enum values
HOMEWORKMOBILEFAXSecondary phone number associated with the applicant
Type of the secondary phone number
Show 4 enum values
HOMEWORKMOBILEFAXcustom_data object | nullrequireddeprecated
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/applicants/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"first_name": "string",
"last_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"unit_id": "string",
"first_name": "string",
"last_name": "string",
"send_rental_application_email": false,
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME"
}
}